package com.example.audiovisualrecord.ui.main;

import com.example.audiovisualrecord.utils.api.apidata.searchco.COResponse;
import com.example.audiovisualrecord.utils.api.apidata.searchtype.TYPEResponse;
import com.example.audiovisualrecord.utils.api.searchshift.SHIFTResponse;
import com.example.audiovisualrecord.utils.api.searchpz.PZResponse;
import com.example.audiovisualrecord.utils.api.searchdp.DPResponse;

import java.util.List;

public class MainData {
    private List<COResponse> mCODataList;               //公司代碼
    private List<PZResponse> mPZDataList;               //廠區代碼
    private List<DPResponse> mDPDataList;               //廠課代碼
    private List<SHIFTResponse> mSHIFTDataList;         //班別代碼
    private List<TYPEResponse> mTYPEDataList;           //錄影類型
    private String MSidData;


    public List<COResponse> getmCODataList() {
        return mCODataList;
    }

    public List<PZResponse> getmPZDataList() {
        return mPZDataList;
    }

    public void setmPZDataList(List<PZResponse> mPZDataList) {
        this.mPZDataList = mPZDataList;
    }

    public void setmCODataList(List<COResponse> mCODataList) {
        this.mCODataList = mCODataList;
    }

    public List<DPResponse> getmDPDataList() {
        return mDPDataList;
    }

    public void setmDPDataList(List<DPResponse> mDPDataList) {
        this.mDPDataList = mDPDataList;
    }

    public List<SHIFTResponse> getmSHIFTDataList() {
        return mSHIFTDataList;
    }

    public void setmSHIFTDataList(List<SHIFTResponse> mSHIFTDataList) {
        this.mSHIFTDataList = mSHIFTDataList;
    }

    public List<TYPEResponse> getmTYPEDataList() {
        return mTYPEDataList;
    }

    public void setmTYPEDataList(List<TYPEResponse> mTYPEDataList) {
        this.mTYPEDataList = mTYPEDataList;
    }

    public String getMSidData() {
        return MSidData;
    }

    public void setMSidData(String MSidData) {
        this.MSidData = MSidData;
    }

}
